Hatena::Groupayucat

ayucatの日記 RSSフィード

2009-09-19

ハードな三週間であった・・・

| ハードな三週間であった・・・ - ayucatの日記 を含むブックマーク はてなブックマーク - ハードな三週間であった・・・ - ayucatの日記

実にハードであった。気づけば、シルバーウィーク突入でもうすぐ今月も終わり。

異常すぎる早さで時間が経っていく。

2008-08-25

coLinux 0.7.3に入れたUbuntu 7.10を8.04にアップグレードする part 1

|  coLinux 0.7.3に入れたUbuntu 7.10を8.04にアップグレードする part 1 - ayucatの日記 を含むブックマーク はてなブックマーク -  coLinux 0.7.3に入れたUbuntu 7.10を8.04にアップグレードする part 1 - ayucatの日記

私はcoLinuxが好きではないし、やや過去のモノだという気持ちも拭い切れないんですが、どういうワケだか実務レベルでの試用を行なっています。

教科書どおりの作法

$ sudoedit /etc/apt/sources.list

$ sudo aptitude clean

$ sudo aptitude update

$ sudo aptitude safe-upgrade

した。

たくさんのパッケージのためにlibdb4.6を入れる

上の結果を見て、

$ sudo aptitude install libdb4.6

をしないといかんな、と気づいて、

$ sudo aptitude install libdb4.6

$ sudo aptitude safe-upgrade

とする。

これでも

69 not upgraded

とか言ってるし。

aptitudeのためにlibcwidget3を入れる

aptitude(hardy)libcwidget(hardy)を欲するようになったとかあるので、

$ sudo aptitude install libcwidget3

$ sudo aptitude safe-upgrade

とする。

64 not upgraded

gccが4.1から4.2になった

gcc(gutsy)では

gcc-4.1(gutsy)だったのに、

gcc(hardy)から

gcc-4.2(hardy)となったので、

$ sudo aptitude install cpp-4.2 gcc-4.2

としたら、

GCC OpenMP (GOMP) support libraryもくっついてきたので、結局、

$ sudo aptitude install cpp-4.2 gcc-4.2 libgomp1

相当。

ここで、safe-upgradeすれば、

62 not upgraded

hal, hal-infoなどのために。。。

分からんので、保留。

ubuntu-standardの道連れでufw, bash-completion, friendly-recovery, mlocate, uuid-runtime

が必須で、

その他の

も推奨で勝手に入ってきたけど、そのまま入れちゃう。

61 not upgraded

このへんで休憩

時間切れ。

2008-07-14

qwik

| qwik - ayucatの日記 を含むブックマーク はてなブックマーク - qwik - ayucatの日記

がしがしとqwikを更新しています。